<div [solidifySpinner]="isLoadingWithDependencyObs | async"
     class="wrapper"
>
  <dlcm-admin-organizational-unit-form #formPresentational
                                       *ngIf="isReadyToBeDisplayedObs | async"
                                       [defaultPlatformLicenseId]="(systemPropertyObs | async)?.defaultLicense"
                                       [editAvailable]="editAvailable"
                                       [listDisseminationPolicies]="listDisseminationPoliciesObs | async"
                                       [listPreservationPolicies]="listPreservationPoliciesObs | async"
                                       [listRole]="listRoleObs | async"
                                       [listSubmissionPolicies]="listSubmissionPoliciesObs | async"
                                       [model]="currentObs| async"
                                       [readonly]="!isEdit"
                                       [subjectAreaSources]="subjectAreaSourcesObs | async"
                                       [selectedDisseminationPolicies]="selectedDisseminationPoliciesObs | async"
                                       [selectedFundingAgencies]="selectedFundingAgenciesObs | async"
                                       [selectedInstitutions]="selectedInstitutionsObs | async"
                                       [selectedPersonRole]="selectedPersonRoleObs | async"
                                       [selectedPreservationPolicies]="selectedPreservationPoliciesObs | async"
                                       [selectedSubmissionPolicies]="selectedSubmissionPoliciesObs | async"
                                       [selectedSubjectAreas]="selectedSubjectAreasObs | async"
                                       [solidifyFocusFirstElement]="isEdit"
                                       [isAdminOrRoot]="securityService.isRootOrAdmin()"
                                       [listManagedInstitution]="listManagedInstitutionObs | async"
                                       [inheritedSelectedPersonRole]="listInheritedPersonRolesObs | async"
                                       [currentLanguage]="currentLanguageObs | async"
                                       (checkAvailableChange)="checkAvailable($event)"
                                       (dirtyChange)="updateCanDeactivate($event)"
                                       (editChange)="edit()"
                                       (navigate)="navigate($event)"
                                       (submitChange)="update($event)"
                                       (seeArchiveChange)="seeArchive($event)"
  ></dlcm-admin-organizational-unit-form>
</div>
